Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.book.readings
Class ReadingsBookDriver

    java.lang.Object
      org.crosswire.jsword.book.basic.AbstractBookDriver
          org.crosswire.jsword.book.readings.ReadingsBookDriver

All Implemented Interfaces:
  BookDriver

    public class ReadingsBookDriver

extends AbstractBookDriver

A driver for the readings dictionary.

Distribution Licence: JSword is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License, version 2 as published by the Free Software Foundation. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. The License is available on the internet here, or by writing to: Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA The copyright to this program is held by it's authors.

Version:
  $Id: ReadingsBookDriver.java,v 1.14 2005/03/23 02:05:38 dmsmith Exp $
Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `Licence`

Field Summary
`private Book[]` | `books` The meta data array
`static String` | `DIR_READINGS` Resources subdir for readings sets
`private static BookDriver` | `INSTANCE` A shared instance of this driver.
`private static String` | `set` The current readings set

Constructor Summary
`ReadingsBookDriver()` Setup the array of BookMetaDatas

Method Summary
`Book[]` | `getBooks()` This method should only be used by Bibles at startup to register the Bibles known at start time.
`String` | `getDriverName()` A short name for this BookDriver
`static String[]` | `getInstalledReadingsSets()` Get a list of the available readings sets
`static String` | `getReadingsSet()` Accessor for the current readings set
`static BookDriver` | `instance()` Get the singleton instance of this driver.
`static void` | `setReadingsSet(String set)` Accessor for the current readings set

Methods inherited from class org.crosswire.jsword.book.basic.AbstractBookDriver
`create, delete, isDeletable, isWritable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### books

    private Book[] books

  The meta data array

### DIR_READINGS

    public static final String DIR_READINGS

  Resources subdir for readings sets

  See Also:
    Constant Field Values

### INSTANCE

    private static final BookDriver INSTANCE

  A shared instance of this driver.

### set

    private static String set

  The current readings set

Constructor Detail

### ReadingsBookDriver

    public ReadingsBookDriver()

  Setup the array of BookMetaDatas

Method Detail

### getBooks

    public Book[] getBooks()

  Description copied from interface: `BookDriver`
  This method should only be used by Bibles at startup to register the Bibles known at start time. Generally there will be a better way of doing whatever you want to do if you use this method.

  Returns:
    A list of the known Bibles

### getDriverName

    public String getDriverName()

  Description copied from interface: `BookDriver`
  A short name for this BookDriver

### instance

    public static BookDriver instance()

  Get the singleton instance of this driver.

  Returns:
    this driver instance

### getInstalledReadingsSets

    public static String[] getInstalledReadingsSets()

  Get a list of the available readings sets

### getReadingsSet

    public static String getReadingsSet()

  Accessor for the current readings set

### setReadingsSet

    public static void setReadingsSet(String set)

  Accessor for the current readings set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD